QGIS Application - Bug report #1350
WMS connection don't work through proxy
2008-10-14 01:07 PM - Andreas Neumann

Status: Closed

Priority: Low

Assignee: nobody -

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11410
Description

With the current trunk, WMS connections don't work through the Proxy. This was confirmed by at least two other persons. See discussion
starting at http://lists.osgeo.org/pipermail/qgis-user/2008-October/003514.html

This bug may be related to the following bug:
https://trac.osgeo.org/qgis/ticket/1072

Here is one of the Proxy error messages from Paulo:

Warning: UNEXPECTED RESPONSE: [HTTP/1.0 403 Forbidden
Server: squid/2.6.STABLE12

Date: Tue, 14 Oct 2008 14:47:56 GMT

Content-Type: text/html

Content-Length: 1032

Expires: Tue, 14 Oct 2008 14:47:56 GMT

X-Squid-Error: ERR_ACCESS_DENIED 0

X-Cache: MISS from proxy.arpa.piemonte.it

Via: 1.0 proxy.arpa.piemonte.it:3128 (squid/2.6.STABLE12)
Proxy-Connection: close

Warning: UNEXPECTED RESPONSE: [HTTP/1.0 403 Forbidden
server: squid/2.5.STABLE14

mime-version: 1.0

date: Tue, 14 Oct 2008 15:35:22 GMT

content-type: text/html

content-length: 1045

expires: Tue, 14 Oct 2008 15:35:22 GMT

x-squid-error: ERR_ACCESS_DENIED 0

x-cache: MISS from whitethorn.nuim.ie

proxy-connection: close

Thank you for having a look at this bug.
http://lists.osgeo.org/pipermail/qgis-user/2008-October/003514.html
https://trac.osgeo.org/qgis/ticket/1072

History

#1 - 2008-10-15 05:01 AM - Paolo Cavallini

| think this is reated to a bug in Qt, as also other Qt apps on the same system do not work through the same proxy. It is not limited to WMS: any request
that should be proxyed (eg going to QGIS web page) does not work.
This is not debian-specific, as it shows up also on Fedora core 9.

#2 - 2008-12-03 11:12 AM - monty -

Qgis use the HTTP CONNECT method to connect to the wms server. Disable the Connect Restriction in your squid.conf:

1. Deny CONNECT to other than SSL ports

- http_access deny CONNECT SSL_ports

#3 - 2008-12-09 01:38 AM - Andreas Neumann

thanks for the hint - unfortunately | don't have access to the proxy configuration - this is a state-wide setting out of my control. However, | can ask the
administrators of the proxy to look into the issue. | will report back if you suggestion solves my issue. It looks like this restriction in the proxy setting could be
the cause.

Thanks for your help,
Andreas

#4 - 2009-03-03 02:35 AM - marchesinivan -

I'm using debian testing
I have just installed qgis 1.0.1

We have a proxy of this type: 192.168.10.13 - port: 80

I have tried to use settings -> optins -> Proxy to define the proxy server but the answer, when | try to connect to a wms server is:

"Could not understand the response. The wms provider said:"

the console says:

+++++Ht++H

Warning: UNEXPECTED RESPONSE: [HTTP/1.1 502 Proxy Error ( The specified Secure Sockets Layer (SSL) port is not allowed. ISA Server is not
configured to allow SSL requests from this port. Most Web browsers use port 443 for SSL requests. )

Via: 1.1 ISAREGUMB

Connection: close

Proxy-Connection: close

Pragma: no-cache

Cache-Control: no-cache

Content-Type: text/html

Content-Length: 781

]
Warning: UNEXPECTED RESPONSE: [HTTP/1.1 502 Proxy Error ( The specified Secure Sockets Layer (SSL) port is not allowed. ISA Server is not

configured to allow SSL requests from this port. Most Web browsers use port 443 for SSL requests. )
Via: 1.1 ISAREGUMB
Connection: close
Proxy-Connection: close
Pragma: no-cache
Cache-Control: no-cache
Content-Type: text/html
Content-Length: 781

]

e

It seems a problem of SSL??

That's all...

I think this problem is a major problem and can create difficulties to the introduction of Qgis into the Public Administrations

Thanks to all

lvan

#5 - 2009-03-10 06:07 AM - Jiirgen Fischer

Replying to [comment:4 marchesinivan]:

Warning: UNEXPECTED RESPONSE: [HTTP/1.1 502 Proxy Error ( The specified Secure Sockets Layer (SSL) port is not allowed. ISA Server is
not configured to allow SSL requests from this port. Most Web browsers use port 443 for SSL requests. )

It seems a problem of SSL??

No, as monty pointed out QGIS uses HTTP CONNECT to access the WMS server thought the proxy. But the proxy you use is configured to restrict HTTP
CONNECT to port 443 (usually used HTTPS).

Perhaps it helps when you switch from [[HttpProxy]] to [[HttpCachingProxy]] (but | think that's currently available in 1.1 only).

#6 - 2009-03-10 07:24 AM - Jiirgen Fischer

Replying to [comment:5 jef]:

Perhaps it helps when you switch from [[HttpProxy]] to [[HttpoCachingProxy]] (but I think that's currently available in 1.1 only).

Yes, that helps. Leaving this ticket open - as we should probably backport this to 1.0.

#7 - 2009-03-17 05:01 AM - marchesinivan -

Replying to [comment:6 jef]:
Replying to [comment:5 jef]:

Perhaps it helps when you switch from [[HttpProxy]] to [[HttpCachingProxy]] (but | think that's currently available in 1.1 only).

Yes, that helps. Leaving this ticket open - as we should probably backport this to 1.0.

| have just installed osgeo qgis trunk and setting [[HttpProxy]] | can use WMS!!!

good!!! as soon as possible | will test it on debian

#8 - 2009-03-21 05:32 AM - Andreas Neumann

| think this bug should be closed now. It works fine for me.
Andreas

#9 - 2009-03-21 08:07 AM - Paolo Cavallini

- Status changed from Open to Closed

- Resolution set to fixed

#10 - 2009-08-22 01:02 AM - Anonymous

Milestone Version 1.0.2 deleted
